Package: org.grails.taglib.encoder

## [Java] Class OutputEncodingStack

- org.grails.taglib.encoder.OutputEncodingStack

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `OutputEncodingStack.OutputProxyWriter` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.apache.commons.logging.Log` | `log` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static OutputEncodingStack` | `currentStack()`
    `` | `static OutputEncodingStack` | `currentStack(OutputContext outputContext)`
    `` | `static OutputEncodingStack` | `currentStack(boolean allowCreate)`
    `` | `static OutputEncodingStack` | `currentStack(OutputContext outputContext, boolean allowCreate)`
    `` | `static OutputEncodingStack` | `currentStack(boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)`
    `` | `static OutputEncodingStack` | `currentStack(OutputContext outputContext, boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)`
    `` | `static OutputEncodingStack` | `currentStack(OutputEncodingStackAttributes attributes)`
    `` | `static java.io.Writer` | `currentWriter()`
    `` | `void` | `flushActiveWriter()`
    `` | `java.io.Writer` | `getCurrentOriginalWriter()`
    `` | `Encoder` | `getDefaultTaglibEncoder()`
    `` | `Encoder` | `getExpressionEncoder()`
    `` | `OutputEncodingStack.OutputProxyWriter` | `getExpressionWriter()`
    `` | `Encoder` | `getOutEncoder()`
    `` | `OutputEncodingStack.OutputProxyWriter` | `getOutWriter()`
    `` | `OutputContext` | `getOutputContext()`
    `` | `Encoder` | `getStaticEncoder()`
    `` | `OutputEncodingStack.OutputProxyWriter` | `getStaticWriter()`
    `` | `Encoder` | `getTaglibEncoder()`
    `` | `OutputEncodingStack.OutputProxyWriter` | `getTaglibWriter()`
    `` | `void` | `pop()`
    `` | `void` | `pop(boolean forceSync)`
    `` | `void` | `push(java.io.Writer newWriter)`
    `` | `void` | `push(java.io.Writer newWriter, boolean checkExisting)`
    `` | `void` | `push(OutputEncodingStackAttributes attributes)`
    `` | `void` | `push(OutputEncodingStackAttributes attributes, boolean checkExisting)`
    `` | `void` | `restoreThreadLocalsToOriginals()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final org.apache.commons.logging.Log log

  - ### Method Detail

    - #### public static OutputEncodingStack currentStack()

    - #### public static OutputEncodingStack currentStack(OutputContext outputContext)

    - #### public static OutputEncodingStack currentStack(boolean allowCreate)

    - #### public static OutputEncodingStack currentStack(OutputContext outputContext, boolean allowCreate)

    - #### public static OutputEncodingStack currentStack(boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)

    - #### public static OutputEncodingStack currentStack(OutputContext outputContext, boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)

    - #### public static OutputEncodingStack currentStack(OutputEncodingStackAttributes attributes)

    - #### public static final java.io.Writer currentWriter()

    - #### public void flushActiveWriter()

    - #### public java.io.Writer getCurrentOriginalWriter()

    - #### public Encoder getDefaultTaglibEncoder()

    - #### public Encoder getExpressionEncoder()

    - #### public OutputEncodingStack.OutputProxyWriter getExpressionWriter()

    - #### public Encoder getOutEncoder()

    - #### public OutputEncodingStack.OutputProxyWriter getOutWriter()

    - #### public OutputContext getOutputContext()

    - #### public Encoder getStaticEncoder()

    - #### public OutputEncodingStack.OutputProxyWriter getStaticWriter()

    - #### public Encoder getTaglibEncoder()

    - #### public OutputEncodingStack.OutputProxyWriter getTaglibWriter()

    - #### public void pop()

    - #### public void pop(boolean forceSync)

    - #### public void push(java.io.Writer newWriter)

    - #### public void push(java.io.Writer newWriter, boolean checkExisting)

    - #### public void push(OutputEncodingStackAttributes attributes)

    - #### public void push(OutputEncodingStackAttributes attributes, boolean checkExisting)

    - #### public void restoreThreadLocalsToOriginals()